# Prepping source code

_Note: The creation of a tarball for your source code is generally done by the developer not the packager_

In this exercise we are going to take the each of our hello world programs (cello, bello, and pello) and create a source archive.


## Commands

Create a temporary directory and copy your source code and license into it.

```bash
mkdir -p /tmp/bello-0.1
cp -v ../bello /tmp/bell-0.1
cp -v ./LICENSE tmp/bell-0.1
```

Then create your archive
```bash
tar -cvzf bello-0.1.tar.gz bello-0.1
```

Rinse and repeat for all the other archives.